# Uses of Class
org.jmol.smiles.SmilesAtom

Packages that use SmilesAtom
Package
Description
org.jmol.smiles
Jmol SMILES, Jmol SMARTS, Jmol bioSMILES, and Jmol bioSMARTS

## Uses of SmilesAtom in org.jmol.smiles

Methods in org.jmol.smiles that return SmilesAtom
Modifier and Type
Method
Description
`SmilesAtom`
SmilesBond.`getAtom1()`
`SmilesAtom`
SmilesBond.`getOtherAtom(SmilesAtom a)`
`SmilesAtom`
SmilesAtom.`setIndex(int index)`
Constructs a `SmilesAtom`.
`SmilesAtom`
SmilesAtom.`setTopoAtom(int iComponent, int ptAtom, String symbol, int charge, int patternIndex)`
Methods in org.jmol.smiles with parameters of type SmilesAtom
Modifier and Type
Method
Description
`int`
SmilesStereo.`checkStereoForAtom(SmilesAtom pAtom, boolean isNot, boolean haveTopo)`
`Node[]`
SmilesStereo.`getAlleneAtoms(boolean haveTopo, SmilesAtom sAtom0, SmilesAtom pAtom, SmilesAtom pAtom1)`
`int`
SmilesStereo.`getChiralClass(SmilesAtom sAtom)`
`SmilesAtom`
SmilesBond.`getOtherAtom(SmilesAtom a)`
`boolean`
SmilesStereo.`setTopoCoordinates(SmilesAtom sAtom0, SmilesAtom pAtom, SmilesAtom sAtom2, Node[] cAtoms, boolean isNot)`
Constructors in org.jmol.smiles with parameters of type SmilesAtom
Modifier
Constructor
Description
``
`SmilesBond(SmilesAtom atom1, SmilesAtom atom2, int bondType, boolean isNot)`
SmilesBond constructor